﻿-- Author      : Nogarder
-- Create Date : 2012/12/14 11:53:17
local NPA_NamePlateDataParser_AddElements=NPA.NamePlateDataParser.AddElements
local NPA_Color_GetColorByLevel=NPA.Color.GetColorByLevel

local NPA_NamePlateModuleManager_ZipModule=NPA.NamePlateModuleManager.ZipModule
local NPA_NamePlateModuleManager_UnzipModule=NPA.NamePlateModuleManager.UnzipModule

NPA.NamePlateModuleManager.RegisterDataModule("Text","Level",function(framedata,textframe,setting)
	--add event elements
 	--hook name update
	local colormode=setting.ColorMode
	NPA_NamePlateDataParser_AddElements(framedata,textframe,"Level_Updated",function(framedata,unitdata)
		textframe.Text:SetText(unitdata.Level)
		if(colormode==8)then
			local color=NPA_Color_GetColorByLevel(unitdata.Level)
			textframe.Text:SetTextColor(color.R,color.G,color.B,color.A)
		end
		NPA_NamePlateModuleManager_UnzipModule(textframe)
	end)
	if(colormode==4)then
		NPA_NamePlateDataParser_AddElements(framedata,textframe,"DefaultMain_OnUpdate",function(framedata,unitdata)
			if(framedata.Default)then
				textframe.Text:SetTextColor(framedata.Default.LevelText:GetTextColor())
			end
		end)
	end
end)